org.eclipse.rdf4j.common.logging.base

## Class SimpleLogRecord

- java.lang.Object
- - org.eclipse.rdf4j.common.logging.base.SimpleLogRecord

- All Implemented Interfaces:
    LogRecord
  Direct Known Subclasses:
    LogRecordBase

      public class SimpleLogRecord
      extends Object
      implements LogRecord

  Simple log record, containing only the basics

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.rdf4j.common.logging.LogRecord

      `ISO8601_TIMESTAMP_FORMAT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleLogRecord()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LogLevel` | `getLevel()` Get log level
    `String` | `getMessage()` Get message
    `List<String>` | `getStackTrace()` Get stack trace as list of strings
    `String` | `getThreadName()` Get thread name
    `Date` | `getTime()` Get date time
    `void` | `setLevel(LogLevel level)` Set log level
    `void` | `setMessage(String message)` Set message
    `void` | `setStackTrace(List<String> stackTrace)` Set stack trace as list of strings
    `void` | `setThreadName(String threadName)` Set thread name
    `void` | `setTime(Date time)` Set date time
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleLogRecord

          public SimpleLogRecord()

  - ### Method Detail

    - #### getLevel

          public LogLevel getLevel()

      Description copied from interface: `LogRecord`
      Get log level
      Specified by:
        `getLevel` in interface `LogRecord`
      Returns:
        log level enumeration

    - #### getMessage

          public String getMessage()

      Description copied from interface: `LogRecord`
      Get message
      Specified by:
        `getMessage` in interface `LogRecord`
      Returns:
        text

    - #### getStackTrace

          public List<String> getStackTrace()

      Description copied from interface: `LogRecord`
      Get stack trace as list of strings
      Specified by:
        `getStackTrace` in interface `LogRecord`
      Returns:
        list of strings

    - #### getThreadName

          public String getThreadName()

      Description copied from interface: `LogRecord`
      Get thread name
      Specified by:
        `getThreadName` in interface `LogRecord`
      Returns:
        thread name

    - #### getTime

          public Date getTime()

      Description copied from interface: `LogRecord`
      Get date time
      Specified by:
        `getTime` in interface `LogRecord`
      Returns:
        date

    - #### setLevel

          public void setLevel(LogLevel level)

      Set log level
      Parameters:
        `level` -

    - #### setMessage

          public void setMessage(String message)

      Set message
      Parameters:
        `message` - text

    - #### setStackTrace

          public void setStackTrace(List<String> stackTrace)

      Set stack trace as list of strings
      Parameters:
        `stackTrace` - list of strings

    - #### setThreadName

          public void setThreadName(String threadName)

      Set thread name
      Parameters:
        `threadName` -

    - #### setTime

          public void setTime(Date time)

      Set date time
      Parameters:
        `time` - time

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.